using System;
using System.IO;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            // Activation of "HTML to RTF .Net" after purchasing
            SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();

            // Place your serial number here.
            // You will get an own serial number after purchasing the license.
            // If have any questions, email us to sales@sautinsoft.com or ask at online chat http://www.sautinsoft.com.
            h.Serial = "1234567890";

            FileInfo htmlFile = new FileInfo(@"..\..\..\..\..\Testing HTMLs\utf-8.html");
            string rtfFile = Path.ChangeExtension(htmlFile.FullName, ".rtf");

            // Convert HTML file to RTF file
            int ret = h.ConvertFile(htmlFile.FullName, rtfFile);

            // 0 - converting successfully
            // 1 - can't open input file or URL, check the input path
            // 2 - can't create output file, check the output path
            // 3 - converting failed
            if (ret == 0)
            {
                // Show produced RTF file
                System.Diagnostics.Process.Start(rtfFile);
            }
        }
    }
}
