using System;
using System.IO;
using System.Collections.Generic;
using SautinSoft;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            // Retrive all images from HTML
            // If you need more information about "HTML to RTF .Net" email us at:
            // support[at]sautinsoft.com		
            SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
            // After purchasing the license, please insert your serial number here to activate the component
            //h.Serial = "XXXXXXXXXXXXXXX";

            DirectoryInfo htmlDir = new DirectoryInfo(@"..\..\..\..\..\..\Testing HTMLs");
            string htmlFile = Path.Combine(htmlDir.FullName, "pic.html");
            
            // List with images extracted from HTML document.
            List<HtmlToRtf.SautinImage> imgList = new List<HtmlToRtf.SautinImage>();

            string htmlString = File.ReadAllText(htmlFile);

            // Set BaseUrl to transform relative paths into absolute.
            h.BaseURL = htmlDir.FullName;

            // Convert HTML to RTF in memory and extract images to imgList.
            h.ConvertString(htmlString, imgList);

            // Show all extracted images
            for (int i = 0; i < imgList.Count; i++)
            {
                string imgFile = Path.Combine(htmlDir.FullName, String.Format("pict{0}.png",i+1));
                imgList[i].Img.Save(imgFile);
                System.Diagnostics.Process.Start(imgFile);
            }

           
        }
    }
}
