﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace HTML_to_RichTextBox_and_Vice_Versa
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            richTextBox1.Rtf = File.ReadAllText(@"..\..\original.rtf");
        }

        private void btnConvert_Click(object sender, EventArgs e)
        {
            SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();            

            SautinSoft.RtfToHtml r = new SautinSoft.RtfToHtml();

            // 1. Convert RTF to HTML
            string html = r.ConvertString(richTextBox1.Rtf);

            if (chkOpen.Checked)
            {
                File.WriteAllText("Result.html", html);
                System.Diagnostics.Process.Start("Result.html");
            }

            // 2. Convert HTML to RTF
            richTextBox1.Rtf = h.ConvertString(html);
        }
    }
}
