using System;
using System.IO;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            // Merge two RTF documents in memory
            // If you need more information about "HTML to RTF .Net" email us at:
            // support[at]sautinsoft.com		
            SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
            // After purchasing the license, please insert your serial number here to activate the component
            //h.Serial = "XXXXXXXXXXXXXXX";

            DirectoryInfo htmlDir = new DirectoryInfo(@"..\..\..\..\..\..\Testing HTMLs");

            string rtf1 = File.ReadAllText(Path.Combine(htmlDir.FullName, "footer.rtf"));
            string rtf2 = File.ReadAllText(Path.Combine(htmlDir.FullName, "footer.rtf"));

            string rtfSingle = h.MergeRtfString(rtf1, rtf2);

            // Save 'rtfString' to a file for demonstration purposes.
            if (!String.IsNullOrEmpty(rtfSingle))
            {
                string singleRtfFile = Path.Combine(htmlDir.FullName, "single.rtf");
                File.WriteAllText(singleRtfFile, rtfSingle);
                System.Diagnostics.Process.Start(singleRtfFile);
            }
        }
    }
}
