using System;
using System.IO;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            // Convert Text file to RTF file
            // If you need more information about "HTML to RTF .Net" email us at:
            // support[at]sautinsoft.com		
            SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
            // After purchasing the license, please insert your serial number here to activate the component
            //h.Serial = "XXXXXXXXXXXXXXX";

            DirectoryInfo htmlDir = new DirectoryInfo(@"..\..\..\..\..\..\Testing HTMLs");
            string textFile = Path.Combine(htmlDir.FullName, "Document.txt");
            string rtfFile = Path.ChangeExtension(textFile, ".rtf");

            // Please don't forget to specify 'InputFormat' as 'Text'.
            h.InputFormat = SautinSoft.HtmlToRtf.eInputFormat.Text;

            // Convert Text to RTF
            int res = h.ConvertFile(textFile, rtfFile);

            if (res == 0)
            {
                Console.WriteLine("Converted successfully!");
                System.Diagnostics.Process.Start(rtfFile);
            }
            else
            {
                Console.WriteLine("Converting failed!");
                Console.ReadLine();
            }
        }
    }
}
