Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        ' Set page size A5; margins: top, bottom 30 mm and left, right to 50 mm.
        ' If you need more information about "HTML to RTF .Net" email us at:
        ' support[at]sautinsoft.com		
        Dim h As New SautinSoft.HtmlToRtf()
        ' After purchasing the license, please insert your serial number here to activate the component
        'h.Serial = "XXXXXXXXXXXXXXX";

        Dim htmlDir As New DirectoryInfo("..\..\..\..\..\Testing HTMLs")
        Dim htmlFile As String = Path.Combine(htmlDir.FullName, "sample doc.html")
        Dim rtfFile As String = Path.ChangeExtension(htmlFile, ".rtf")


        h.PageStyle.PageSize.A5()
        h.PageStyle.PageMarginTop.Mm(30)
        h.PageStyle.PageMarginBottom.Mm(30)
        h.PageStyle.PageMarginLeft.Mm(50)
        h.PageStyle.PageMarginRight.Mm(50)

        ' Convert HTML to RTF
        Dim res As Integer = h.ConvertFile(htmlFile, rtfFile)

        If res = 0 Then
            Console.WriteLine("Converted successfully!")
            System.Diagnostics.Process.Start(rtfFile)
        Else
            Console.WriteLine("Converting failed!")
            Console.ReadLine()
        End If
    End Sub
End Module
