using System;
using System.IO;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            // Replace values in RTF document
            // If you need more information about "HTML to RTF .Net" email us at:
            // support[at]sautinsoft.com		
            SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
            // After purchasing the license, please insert your serial number here to activate the component
            //h.Serial = "XXXXXXXXXXXXXXX";

            DirectoryInfo htmlDir = new DirectoryInfo(@"..\..\..\..\..\..\Testing HTMLs");

            // For example, we've RTF with such content "This is a sample footer as RTF document."
            // Let's replace the string "sample" by another RTF file.

            string sourceRtfFile = Path.Combine(htmlDir.FullName, "footer.rtf");
            string replacingRtfFile = Path.Combine(htmlDir.FullName, "footer.rtf");
            string whatReplace = "sample";
            string resultRtfFile = Path.Combine(htmlDir.FullName, "result.rtf");

            h.MergeAndReplaceRtfFileFromFile(sourceRtfFile, whatReplace, replacingRtfFile, resultRtfFile);

            // Show produced result.
            System.Diagnostics.Process.Start(resultRtfFile);
        }
    }
}
