Imports System
Imports System.IO
Imports System.Collections.Generic
Imports System.Text

Module Module1
    Sub Main()
        ' Convert HTML to RTF and place all images in List
        ' If you need more information about "HTML to RTF .Net" email us at:
        ' support[at]sautinsoft.com		
        Dim h As New SautinSoft.HtmlToRtf()
        ' After purchasing the license, please insert your serial number here to activate the component
        'h.Serial = "XXXXXXXXXXXXXXX";

        Dim htmlDir As New DirectoryInfo("..\..\..\..\..\Testing HTMLs")
        Dim htmlFile As String = Path.Combine(htmlDir.FullName, "pic.html")
        Dim rtfFile As String = Path.ChangeExtension(htmlFile, ".rtf")


        ' List with images extracted from HTML document.
        Dim imgList As New Generic.List(Of SautinSoft.HtmlToRtf.SautinImage)()

        Dim htmlString As String = File.ReadAllText(htmlFile)

        ' Set BaseUrl to transform relative paths into absolute.
        h.BaseURL = htmlDir.FullName

        ' Convert HTML to RTF in memory and extract images to imgList.
        Dim rtfString As String = h.ConvertString(htmlString, imgList)

        If rtfString IsNot Nothing Then
            File.WriteAllText(rtfFile, rtfString)
            Console.WriteLine("Converted successfully!")
            System.Diagnostics.Process.Start(rtfFile)
        Else
            Console.WriteLine("Converting failed!")
            Console.ReadLine()
        End If
    End Sub
End Module
