Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        ' Merge multiple RTF files
        ' If you need more information about "HTML to RTF .Net" email us at:
        ' support[at]sautinsoft.com		
        Dim h As New SautinSoft.HtmlToRtf()
        ' After purchasing the license, please insert your serial number here to activate the component
        'h.Serial = "XXXXXXXXXXXXXXX";

        Dim htmlDir As New DirectoryInfo("..\..\..\..\..\Testing HTMLs")

        ' Array with several RTF files.            
        Dim rtfFiles() As String = {"footer.rtf", "footer.rtf", "footer.rtf"}
        Dim singleRtf As String = String.Empty

        ' Let's divide RTF documents using page break.
        h.MergeOptions.PageBreakBetweenDocuments = True

        For Each rtfFile As String In rtfFiles
            Dim rtfFilePath As String = Path.Combine(htmlDir.FullName, rtfFile)

            ' Copy 1st RTF to 'singleRtf'
            If String.IsNullOrEmpty(singleRtf) Then
                singleRtf = File.ReadAllText(rtfFilePath)
                ' Merge 2nd, 3rd ....
            Else
                singleRtf = h.MergeRtfString(singleRtf, File.ReadAllText(rtfFilePath))
            End If
        Next rtfFile
        ' Save 'singleRtf' to a file only for demonstration purposes.
        Dim singleRtfPath As String = Path.Combine(htmlDir.FullName, "single.rtf")
        File.WriteAllText(singleRtfPath, singleRtf)
        System.Diagnostics.Process.Start(singleRtfPath)
    End Sub
End Module
